--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2022 Adobe
All Rights Reserved.

NOTICE: All information contained herein is, and remains
the property of Adobe and its suppliers, if any. The intellectual
and technical concepts contained herein are proprietary to Adobe
and its suppliers and are protected by all applicable intellectual
property laws, including trade secret and copyright laws.
Dissemination of this information or reproduction of this material
is strictly forbidden unless prior written permission is obtained
from Adobe.

------------------------------------------------------------------------------]]

	-- RxLua
local Rx = require 'Rx'
local Observable = Rx.Observable

	-- WF.core
local WFConfigDotLuaUtils = require 'WFConfigDotLuaUtils'

--------------------------------------------------------------------------------

local LrmConfigModelImp = {}

--==============================================================================

function LrmConfigModelImp:getConfigDotLuaContents()

	local contents = WFConfigDotLuaUtils.getConfigDotLuaContents()

	return {
		value = Observable.just( contents )
	}

end

--------------------------------------------------------------------------------

function LrmConfigModelImp:setConfigDotLuaContents( contents )

	local success = WFConfigDotLuaUtils.setConfigDotLuaContents( contents )

	return {
		value = Observable.just( success )
	}

end

--------------------------------------------------------------------------------

return LrmConfigModelImp
